org.apache.cayenne.graph

## Class GraphEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.cayenne.event.CayenneEvent
    - - org.apache.cayenne.graph.GraphEvent

- All Implemented Interfaces:
    Serializable

      public class GraphEvent
      extends CayenneEvent

  An event indicating a change in the object graph. A change is expressed as a GraphDiff, so the easiest way to process the event is the following:

          GraphChangeHandler handler = ..;
          event.getDiff().apply(handler);

  Since:
    1.2
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GraphDiff` | `diff`

    - ### Fields inherited from class org.apache.cayenne.event.CayenneEvent

      `info, postedBy, subject`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphEvent(Object source, GraphDiff diff)`
    `GraphEvent(Object source, Object postedBy, GraphDiff diff)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphDiff` | `getDiff()`

    - ### Methods inherited from class org.apache.cayenne.event.CayenneEvent

      `getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### diff

          protected GraphDiff diff

  - ### Constructor Detail

    - #### GraphEvent

          public GraphEvent(Object source,
                            GraphDiff diff)

    - #### GraphEvent

          public GraphEvent(Object source,
                            Object postedBy,
                            GraphDiff diff)

  - ### Method Detail

    - #### getDiff

          public GraphDiff getDiff()

Copyright © 2001–2018 Apache Cayenne. All rights reserved.